Subject: Re: bug#66188: 29.1; Include Atom feed reader

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 23 Apr 2024 07:34:40 -0700

On 04/23/24 01:44 AM, Daniel Semyonov wrote:
>>>>>> Eric Abrahamsen writes:
>
>     > On 04/21/24 21:41 PM, Daniel Semyonov wrote:
>     >>>>>>> Eric Abrahamsen writes:
>     >> 
>     >> > Eli Zaretskii <[email-masked]> writes:
>     >> >> Ping! Ping!  Eric, any comments?
>     >> 
>     >> > Yes, let's do it! My only comment right now is that the manual should
>     >> > explicitly list the steps for creating an atom group: "B nnatom RET" and
>     >> > insert URL without protocol. I still have dreams of fixing the group
>     >> > creation code to prompt for the address, but that can wait.
>     >> 
>     >> > Daniel, would you make that addition?
>     >> 
>     >> Does the following text (in the 'Atom' subsection of the Gnus manual)
>     >> not suffice?
>     >> 
>     >> The ‘nnatom’ back end allows you to add HTTP or local Atom feeds as
>     >> Gnus servers (with a single group), as you would with any other method,
>     >> by supplying the location of the feed as the server address.  Note,
>     >> however, that the server address shouldn't be prefixed with <http://> or
>     >> <https://>.
>
>     > I think we need to at least make it clear that you can't create these
>     > groups with "G m", which to me anyway is the "normal" way of making a
>     > group. It wouldn't hurt to be more explicit about the fact that feeds
>     > are created at the server level, not the group level. I'm not suggesting
>     > anything radical, something like:
>
>     > --8<---------------cut here---------------start------------->8--- 
>     > The ‘nnatom’ back end allows you to add HTTP or local Atom feeds as Gnus
>     > servers, in your Gnus init files or as foreign servers via "B" in the
>     > *Group* buffer. The feed location is supplied as the server address, and
>     > each server only contains a single group. Note, however, that the server
>     > address shouldn't be prefixed with <http://> or <https://>.
>     > --8<---------------cut here---------------end--------------->8---
>
>     > Or something like that. WDYT?
>
> I gave it another thought and you're right, it should be more explicit.
> I've attached an updated patch but here's the new version of the
> paragraph (since I actually ended up being even more explicit):
>
>   The ‘nnatom’ back end allows you to add HTTP or local Atom feeds as
>   Gnus servers, by adding them to ‘gnus-secondary-select-methods’ or as
>   foreign servers by pressing "B" in the ‘*Group*’ buffer, for example
>   (*note Finding the News).  The address of each server is its feed's
>   location (though the address shouldn't be prefixed with <http://> or
>   <https://>) and each server contains a single group which holds the
>   feed's entries.

That looks great -- I think it can't hurt to provide some more
hand-holding in the manual. I'll get this in this morning.

Thanks!
Eric